<template>
  <div class="fondo md:flex flex-col justify-center">
    <div class="py-12 ">
      <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
        <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
          <div class="p-6 bg-white border-b border-gray-200">
            <form method="POST" action="">
              <div class="mb-4">
                <label class="text-xl text-gray-600"
                  >Title <span class="text-red-500">*</span></label
                ><br />
                <input
                  type="text"
                  class="border-2 border-gray-300 p-2 w-full"
                  name="title"
                  id="title"
                  value=""
                  required
                />
              </div>

              <div class="mb-4">
                <label class="text-xl text-gray-600">Description</label><br />
                <input
                  type="text"
                  class="border-2 border-gray-300 p-2 w-full"
                  name="description"
                  id="description"
                  placeholder="(Optional)"
                />
              </div>

              <div class="mb-8">
                <label class="text-xl text-gray-600"
                  >Content <span class="text-red-500">*</span></label
                ><br />
                <textarea
                  id="editor"
                  name="content"
                  class="border-2 border-gray-500"
                >
                </textarea>
              </div>

              <div class="flex p-1">
                <select
                  class="border-2 border-gray-300 border-r p-2"
                  name="action"
                >
                  <option>Save and Publish</option>
                  <option>Save Draft</option>
                </select>
                <button
                  role="submit"
                  class="p-3 bg-blue-500 text-white hover:bg-blue-400"
                  required
                >
                  Submit
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
let ClassicEditor = require("@ckeditor/ckeditor5-build-classic");
export default {
  data: function() {
      return {
          articulo: {
              titulo: String,
              imagen: String,
              descripcion: String,
              cuerpo: String,
              autor: String,
              fecha: Date
          }
      }
  },
  mounted: function () {
    ClassicEditor.create(document.querySelector("#editor"))
    .then( editor => {
        console.log( editor );
    } ).catch((error) => {
      console.error(error);
    });
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.fondo {
  height: 100vh;
  background-color: red;
}

.-z-1 {
  z-index: -1;
}

.origin-0 {
  transform-origin: 0%;
}

input:focus ~ label,
input:not(:placeholder-shown) ~ label,
textarea:focus ~ label,
textarea:not(:placeholder-shown) ~ label,
select:focus ~ label,
select:not([value=""]):valid ~ label {
  /* @apply transform; scale-75; -translate-y-6; */
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  transform: translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y))
    rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y))
    scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
  --tw-scale-x: 0.75;
  --tw-scale-y: 0.75;
  --tw-translate-y: -1.5rem;
}

input:focus ~ label,
select:focus ~ label {
  /* @apply text-black; left-0; */
  --tw-text-opacity: 1;
  color: rgba(0, 0, 0, var(--tw-text-opacity));
  left: 0px;
}
</style>